export const fetchProducts = async () => {
  try {
    const response = await fetch("https://fakestoreapi.com/products");
    if (!response?.ok) {
      throw new Error(`${response?.status} error occurred`);
    }
    return await response?.json();
  } catch (error) {
    console.log("An error occured:", error?.message || error);
    throw error;
  }
};
